Package org.eclipse.zest.layouts.interfaces

# Class ContextListener.Stub

java.lang.Object
org.eclipse.zest.layouts.interfaces.ContextListener.Stub

All Implemented Interfaces:
  `ContextListener`

Enclosing interface:
  `ContextListener`

public static class ContextListener.Stub extends Object implements ContextListener

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.zest.layouts.interfaces.ContextListener

`ContextListener.Stub`

## Constructor Summary

Constructors
Constructor
Description
`Stub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`backgroundEnableChanged(LayoutContext context)`
This method is called whenever background layout is enabled or disabled in a layout context.
`boolean`
`boundsChanged(LayoutContext context)`
This method is called whenever the bounds available in a layout context change.
`boolean`
`pruningEnablementChanged(LayoutContext context)`
This method is called whenever graph pruning is enabled or disabled in a layout context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stub

public Stub()

## Method Details

### boundsChanged

public boolean boundsChanged(LayoutContext context)
Description copied from interface: `ContextListener`
This method is called whenever the bounds available in a layout context change. If true is returned, it means that the receiving listener has intercepted this event. Intercepted events will not be passed to the rest of the listeners. If the event is not intercepted by any listener, `applyLayout(boolean)` will be called on the context's main algorithm.

Specified by:
  `boundsChanged` in interface `ContextListener`
Parameters:
  `context` - the layout context that fired the event
Returns:
  true if no further operations after this event are required

### backgroundEnableChanged

public void backgroundEnableChanged(LayoutContext context)
Description copied from interface: `ContextListener`
This method is called whenever background layout is enabled or disabled in a layout context. If the receiving listener is related to a layout algorithm that performs layout in reaction to events, it should turn automatic flush of changes on or off. Also, eventual additional threads responsible for layout should be stopped or started accordingly.

Specified by:
  `backgroundEnableChanged` in interface `ContextListener`
Parameters:
  `context` - the layout context that fired the event

### pruningEnablementChanged

public boolean pruningEnablementChanged(LayoutContext context)
Description copied from interface: `ContextListener`
This method is called whenever graph pruning is enabled or disabled in a layout context. If true is returned, it means that the receiving listener has intercepted this event. Intercepted events will not be passed to the rest of the listeners. If the event is not intercepted by any listener, `applyLayout(boolean)` will be called on the context's main algorithm.

Specified by:
  `pruningEnablementChanged` in interface `ContextListener`
Parameters:
  `context` - the layout context that fired the event
Returns:
  true if no further operations after this event are required